import 'package:flutter/material.dart';

import 'package:senior_design_system/senior_design_system.dart';

import '../widgets/page_wrapper.dart';

class LongPressButtonExample extends StatefulWidget {
  const LongPressButtonExample({Key? key}) : super(key: key);

  @override
  _LongPressButtonExampleState createState() => _LongPressButtonExampleState();
}

class _LongPressButtonExampleState extends State<LongPressButtonExample> {
  void showMesage() {
    ScaffoldMessenger.of(context).showSnackBar(
      SeniorSnackBar.success(
        message: 'Operação concluída',
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Long Press Button',
      child: Center(
        child: SeniorLongPressButton(
          duration: 3,
          label: 'Pressione por 3 segundos para ativar',
          onSubmit: showMesage,
        ),
      ),
    );
  }
}
