import 'package:flutter/material.dart';

import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_checkbox.dart';

const checkboxDarkTheme = const SeniorCheckboxThemeData(
  style: SeniorCheckboxStyle(
    activeColor: Colors.transparent,
    checkColor: SeniorColors.primaryColor300,
    checkedBorderColor: SeniorColors.primaryColor300,
    disabledBorderColor: null,
    disabledCheckColor: null,
    disabledTitleColor: SeniorColors.grayscale10,
    titleColor: SeniorColors.grayscale10,
    uncheckedBorderColor: SeniorColors.grayscale10,
  ),
);
