import 'package:flutter/material.dart';

import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_checkbox.dart';

const checkboxLightTheme = const SeniorCheckboxThemeData(
  style: SeniorCheckboxStyle(
    activeColor: Colors.transparent,
    checkColor: SeniorColors.secondaryColor300,
    checkedBorderColor: SeniorColors.primaryColor,
    disabledBorderColor: SeniorColors.secondaryColor300,
    disabledCheckColor: SeniorColors.primaryColor,
    disabledTitleColor: SeniorColors.secondaryColor300,
    titleColor: SeniorColors.neutralColor900,
    uncheckedBorderColor: SeniorColors.secondaryColor600,
  ),
);
